<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/page_bsg"
    android:orientation="vertical"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:context=".reports.testerdetails.TesterUsageReportActivity"
    tools:showIn="@layout/activity_tester_usage_report">

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rec_subaxe"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/margin1dp" />

    <HorizontalScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/margin1dp"
                android:layout_margin="@dimen/custom_margin"
                android:background="@color/gray" />

            <LinearLayout
                android:id="@+id/rlTesterUsage"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/margin1dp"
                android:orientation="vertical"
                android:visibility="visible">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    tools:ignore="UselessParent">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/custom_margin2dp"
                        android:orientation="vertical"
                        android:padding="@dimen/custom_margin2dp">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical"
                            android:padding="@dimen/appbar_padding_top"
                            android:text="@string/this_is_a_drill_down_report"
                            android:textColor="@color/red_dark"
                            android:textSize="@dimen/text_size_small18"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text="@string/tester_counter_report"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_14sp"
                            android:textStyle="bold" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/margin1dp"
                            android:layout_margin="@dimen/custom_margin"
                            android:background="@color/gray" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:baselineAligned="false"
                            android:orientation="horizontal"
                            android:weightSum="6">

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:layout_weight="1"
                                android:gravity="center_vertical"
                                android:orientation="vertical">

                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:padding="@dimen/custom_margin3dp"
                                    android:text="Opening Stock"
                                    android:textColor="@color/black"
                                    android:textSize="@dimen/txt_size_12sp"
                                    android:textStyle="bold" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_weight="1"
                                android:gravity="center"
                                android:orientation="vertical">

                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center|end"
                                    android:gravity="center|end"
                                    android:padding="@dimen/custom_margin3dp"
                                    android:text="Invoice QTY"
                                    android:textColor="@color/black"
                                    android:textSize="@dimen/txt_size_12sp"
                                    android:textStyle="bold" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_weight="1"
                                android:gravity="center"
                                android:orientation="vertical">

                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center|end"
                                    android:gravity="center|end"
                                    android:padding="@dimen/custom_margin3dp"
                                    android:text="Received QTY"
                                    android:textColor="@color/black"
                                    android:textSize="@dimen/txt_size_12sp"
                                    android:textStyle="bold" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_weight="1"
                                android:gravity="center"
                                android:orientation="vertical">

                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center|end"
                                    android:gravity="center|end"
                                    android:padding="@dimen/custom_margin3dp"
                                    android:text="Tester Stock Avail"
                                    android:textColor="@color/black"
                                    android:textSize="@dimen/txt_size_12sp"
                                    android:textStyle="bold" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_weight="1"
                                android:gravity="center"
                                android:orientation="vertical">

                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center|end"
                                    android:gravity="center|end"
                                    android:padding="@dimen/custom_margin3dp"
                                    android:text="Tester Used"
                                    android:textColor="@color/black"
                                    android:textSize="@dimen/txt_size_12sp"
                                    android:textStyle="bold" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_weight="1"
                                android:gravity="center"
                                android:orientation="vertical">

                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center|end"
                                    android:gravity="center|end"
                                    android:padding="@dimen/custom_margin3dp"
                                    android:text="Tester Used %"
                                    android:textColor="@color/black"
                                    android:textSize="@dimen/txt_size_12sp"
                                    android:textStyle="bold" />
                            </LinearLayout>
                        </LinearLayout>
                    </LinearLayout>

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/recyclTesterCounter"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_margin="@dimen/custom_margin" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/rlTesterUsageDetails"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/margin1dp"
                android:orientation="vertical"
                android:visibility="visible">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/fab_margin"
                    android:orientation="vertical"
                    tools:ignore="UselessParent">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/custom_margin2dp"
                        android:orientation="vertical"
                        android:padding="@dimen/custom_margin2dp">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical"
                            android:padding="@dimen/custom_margin"
                            android:text="@string/tester_usage_detail_report"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_14sp"
                            android:textStyle="bold" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/margin1dp"
                            android:layout_margin="@dimen/custom_margin"
                            android:background="@color/gray" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:baselineAligned="false"
                            android:orientation="horizontal"
                            android:weightSum="8">

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:layout_weight="1.2"
                                android:gravity="center_vertical"
                                android:orientation="vertical">

                                <TextView
                                    android:id="@+id/tvParamCode"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_vertical"
                                    android:padding="@dimen/custom_margin3dp"
                                    android:text="Axe Code"
                                    android:textColor="@color/black"
                                    android:textSize="@dimen/txt_size_12sp"
                                    android:textStyle="bold" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:layout_weight="1.3"
                                android:gravity="center_vertical"
                                android:orientation="vertical">

                                <TextView
                                    android:id="@+id/tvParamName"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center|end"
                                    android:gravity="center|end"
                                    android:padding="@dimen/custom_margin3dp"
                                    android:text="MNY MAKEUP"
                                    android:textColor="@color/black"
                                    android:textSize="@dimen/txt_size_12sp"
                                    android:textStyle="bold" />
                            </LinearLayout>
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_weight=".7"
                                android:gravity="center"
                                android:orientation="vertical">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center|end"
                                    android:gravity="center|end"
                                    android:padding="@dimen/custom_margin3dp"
                                    android:text="Opening Stock"
                                    android:textColor="@color/black"
                                    android:textSize="@dimen/txt_size_12sp"
                                    android:textStyle="bold" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_weight=".8"
                                android:gravity="center"
                                android:orientation="vertical">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center|end"
                                    android:gravity="center|end"
                                    android:padding="@dimen/custom_margin3dp"
                                    android:text="Invoice QTY"
                                    android:textColor="@color/black"
                                    android:textSize="@dimen/txt_size_12sp"
                                    android:textStyle="bold" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_weight="1"
                                android:gravity="center"
                                android:orientation="vertical">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center|end"
                                    android:gravity="center|end"
                                    android:padding="@dimen/custom_margin3dp"
                                    android:text="Received QTY"
                                    android:textColor="@color/black"
                                    android:textSize="@dimen/txt_size_12sp"
                                    android:textStyle="bold" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_weight=".8"
                                android:gravity="center"
                                android:orientation="vertical">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center|end"
                                    android:gravity="center|end"
                                    android:padding="@dimen/custom_margin3dp"
                                    android:text="Tester Stock Avail"
                                    android:textColor="@color/black"
                                    android:textSize="@dimen/txt_size_12sp"
                                    android:textStyle="bold" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_weight="1"
                                android:gravity="center"
                                android:orientation="vertical">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center|end"
                                    android:gravity="center|end"
                                    android:padding="@dimen/custom_margin3dp"
                                    android:text="Tester Used"
                                    android:textColor="@color/black"
                                    android:textSize="@dimen/txt_size_12sp"
                                    android:textStyle="bold" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_weight="1.2"
                                android:gravity="center"
                                android:orientation="vertical">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_gravity="center|end"
                                    android:gravity="center|end"
                                    android:padding="@dimen/custom_margin3dp"
                                    android:text="Tester Used %"
                                    android:textColor="@color/black"
                                    android:textSize="@dimen/txt_size_12sp"
                                    android:textStyle="bold" />
                            </LinearLayout>
                        </LinearLayout>
                    </LinearLayout>

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/recyclTesterUsageDetail"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_margin="@dimen/custom_margin" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </HorizontalScrollView>

</LinearLayout>